#ifdef __Linux__

#include "procscntrls.h"
#include "procicn2.h"

ProcsCntrls::ProcsCntrls(QWidget *parent, const char *name, WFlags f)
            : QFrame(parent, name, f)
{
	x = QColor(160, 164, 160);
	y = QColor(0, 150, 150);
	CGnorm = QColorGroup(black, x, x.light(), x.dark(), x.dark(120), black, x);
	CGinv = QColorGroup(y, x, x.light(), x.dark(), x.dark(120), y, x);
	setPalette(QPalette(CGnorm, CGnorm, CGnorm));
	font = QFont("Helvetica", 10);

	icnReload = QPixmap(reload_xpm);
	butReload = new QPushButton(this);
	butReload->setGeometry(10, 9, 38, 38);
	butReload->setPalette(QPalette(CGnorm, CGnorm, CGnorm));
	butReload->setPixmap(icnReload);
	connect(butReload, SIGNAL(clicked()), this, SLOT(reloadProcs()));	

	icnKill = QPixmap(kill_xpm);
	butKill = new QPushButton(this);
	butKill->setGeometry(60, 9, 38, 38);
	butKill->setPalette(QPalette(CGnorm, CGnorm, CGnorm));
	butKill->setPixmap(icnKill);
	connect(butKill, SIGNAL(clicked()), this, SLOT(killProc()));
	
	cmbUsers = new QComboBox(this, "combousers");
	cmbUsers->setPalette(QPalette(CGnorm, CGnorm, CGnorm));
	cmbUsers->setFont(font);
	cmbUsers->setGeometry(200, 18, 140, 20);
}

void ProcsCntrls::reloadProcs()
{
	emit reloadprocs();
}

void ProcsCntrls::killProc()
{
	emit killproc();
}

void ProcsCntrls::paintEvent(QPaintEvent *)
{
	QPainter p;

	p.begin(this);
	p.setPen(white);
	p.drawLine(0, 0, width(), 0);
	p.drawLine(0, 0, 0, height());
	p.setPen(colorGroup().dark());
	p.drawLine(width()-1, 2, width()-1, height());
	p.drawLine(2, height()-1, width(), height()-1);
	p.setPen(black);
	p.drawLine(width(), 2, width(), height());
	p.drawLine(2, height(), width(), height());
	p.end();
}

#endif
