#ifdef __Linux__

#include "procswin.h"

ProcsWin::ProcsWin(QWidget *parent, const char *name)
			: QWidget(0L, name)
{
	QColor x = QColor(230, 230, 230);
	QColorGroup CGnorm = QColorGroup(black, x, x.light(), x.dark(),
	x.dark(120), black, x);
	setPalette(QPalette(CGnorm, CGnorm, CGnorm));

	setCaption(name);
	setGeometry(150, 50, 450, 300);
	setMinimumWidth(200);

	controls = new ProcsCntrls(this, "controls", QFrame::Panel | QFrame::Raised);
	controls->setLineWidth(2);
	procsframe = new ProcsFrame(this, "pframe", controls);
	sBar = new MfindScrBar(this, "barv");
	YScrollBar = 0;
	connect(controls, SIGNAL(reloadprocs()), procsframe, SLOT(reloadProcs()));
	connect(controls, SIGNAL(killproc()), procsframe, SLOT(killProc()));
	connect(controls->cmbUsers, SIGNAL(activated(const char *)), 
				procsframe, SLOT(ShowUnUsrProcs(const char *)));
	connect(sBar, SIGNAL(valueChanged(int)), this, SLOT(ScrollV(int)));
	connect(procsframe, SIGNAL(resizeDone(int)), this, SLOT(ResizeSBar(int)));
}

void ProcsWin::ScrollV(int y)
{
	YScrollBar = y;
	procsframe->setGeometry(24, YScrollBar*(-1)+58, width()-26, height()-60+YScrollBar);
}

void ProcsWin::ResizeSBar(int y)
{
	if((y - height()+30) > 0)
		sBar->setRange(0, y - height()+30);
	else
		sBar->setRange(0, 1);
}

void ProcsWin::ReloadProcs()
{
	procsframe->reloadProcs();
}

void ProcsWin::KillProc()
{
	procsframe->killProc();
}

void ProcsWin::resizeEvent(QResizeEvent *)
{
	controls->setGeometry(0, 0, width(), 56);
	controls->raise();
	procsframe->setGeometry(24, 58, width()-26, height()-60);
	sBar->setGeometry(1, 56, 18, height()-56);
	sBar->setValue(0);
	sBar->setSteps(15, height());
}

#endif


